CREATE OR REPLACE TRIGGER LOG_VND_DESGRUPROMPRFIL
AFTER DELETE OR INSERT OR UPDATE
ON DESGRUPROMPRFIL FOR EACH ROW
DECLARE
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
  V_DESC         VARCHAR2(500);
  V_ITPESQ       VARCHAR2(50);
  V_NMOPERADOR   VARCHAR2(40);
  V_IDTIPOOPER   VARCHAR2(1);
BEGIN
/* IDTIPOOPER - '1' - Inclusão, '2' - Alteração, '3' - Exclusão*/
   V_DESC       := '';
   V_ITPESQ     := '';
   V_NMOPERADOR := '';
   V_IDTIPOOPER := '';
   NMUSUARIO(V_NMOPERADOR);
   WEBTUNNING(V_DSREMOTEADDR,
              V_DSREMOTEHOST,
              V_DSSERVERRDM,
              V_DSSERVMETHOD,
              V_DSREMOTEOPER);
   IF UPDATING THEN
		IF NVL(:NEW.CDFILIAL ,'NULL') <> NVL(:OLD.CDFILIAL ,'NULL') THEN
			V_DESC   := 'Filial ' || '' || NVL(:NEW.CDFILIAL,''    );
		END IF;
		IF NVL(:NEW.CDGRUPROMOC ,'NULL') <> NVL(:OLD.CDGRUPROMOC ,'NULL') THEN
			V_DESC   := NVL(V_DESC, '') || ' ' || 'Cod Grupo Prom ' || '' || NVL(:NEW.CDGRUPROMOC,''    );
		END IF;
		IF NVL(:NEW.CDPRODPROMOCAO ,'NULL') <> NVL(:OLD.CDPRODPROMOCAO , 'NULL') THEN
			V_DESC := NVL(V_DESC, '') || ' ' || 'Produto Promocional '|| '' || NVL(:NEW.CDPRODPROMOCAO,'');
		END IF;
		IF NVL(:NEW.CDPRODUTO ,'NULL') <> NVL(:OLD.CDPRODUTO ,'NULL') THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'Produto '     || '' || NVL(:NEW.CDPRODUTO,''  );
		END IF;
		IF NVL(:NEW.IDPERVALDESFIL ,'NULL') <> NVL(:OLD.IDPERVALDESFIL ,'NULL') THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'Percentual/Valor '     || '' || NVL(:NEW.IDPERVALDESFIL,''  );
		END IF;						
		IF NVL(:NEW.VRDESPRPROMOFIL ,999999) <> NVL(:OLD.VRDESPRPROMOFIL ,999999) THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'Valor '  || '' || NVL(:NEW.VRDESPRPROMOFIL,'');
		END IF;
		IF NVL(:NEW.IDAPLICADESCPRFI ,'NULL') <> NVL(:OLD.IDAPLICADESCPRFI ,'NULL') THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'Aplica '     || '' || NVL(:NEW.IDAPLICADESCPRFI,''  );
		END IF;						
		IF NVL(:NEW.IDPRODPRESELFIL ,'NULL') <> NVL(:OLD.IDPRODPRESELFIL ,'NULL') THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'Pré-Selecionado '     || '' || NVL(:NEW.IDPRODPRESELFIL ,''  );
		END IF;						
		IF NVL(:NEW.NRORDPROMOPRFIL ,999999) <> NVL(:OLD.NRORDPROMOPRFIL ,999999) THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'Ordem Exb '  || '' || NVL(:NEW.NRORDPROMOPRFIL,'');
		END IF;
		IF NVL(:NEW.IDOBRPRODSELFIL ,'NULL') <> NVL(:OLD.IDOBRPRODSELFIL ,'NULL') THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'Produto Obrigat '     || '' || NVL(:NEW.IDOBRPRODSELFIL ,''  );
		END IF;						
		IF NVL(:NEW.IDDESCACRPROFIL ,'NULL') <> NVL(:OLD.IDDESCACRPROFIL ,'NULL') THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'Desconto/Acréscimo '     || '' || NVL(:NEW.IDDESCACRPROFIL ,''  );
		END IF;						

		V_ITPESQ := :NEW.CDFILIAL||:NEW.CDGRUPROMOC||:NEW.CDPRODPROMOCAO||:NEW.CDPRODUTO||:NEW.NRSEQGRPROMOFIL;
        V_IDTIPOOPER := '2';
   ELSE
      IF INSERTING THEN
        V_DESC   := 'Filial '                  || '' || NVL(:NEW.CDFILIAL,''        )||   
			   	  ' ' || 'Cod Grupo Prom '     || '' || NVL(:NEW.CDGRUPROMOC,''     )|| 
				  ' ' || 'Produto Promocional '|| '' || NVL(:NEW.CDPRODPROMOCAO,''  )|| 
	              ' ' || 'Produto '            || '' || NVL(:NEW.CDPRODUTO,''       )||
                  ' ' || 'Nr Seq '             || '' || NVL(:NEW.NRSEQGRPROMOFIL,'' )||				  
	              ' ' || 'Percentual/Valor '   || '' || NVL(:NEW.IDPERVALDESFIL,''  )||
                  ' ' || 'Valor '              || '' || NVL(:NEW.VRDESPRPROMOFIL,'' )||
	              ' ' || 'Aplica '             || '' || NVL(:NEW.IDAPLICADESCPRFI,'')||
	              ' ' || 'Pré-Selecionado '    || '' || NVL(:NEW.IDPRODPRESELFIL,'' )||
	              ' ' || 'Ordem Exb '          || '' || NVL(:NEW.NRORDPROMOPRFIL,'' )||
	              ' ' || 'Produto Obrigat '    || '' || NVL(:NEW.IDOBRPRODSELFIL,'' )||
	              ' ' || 'Desconto/Acréscimo ' || '' || NVL(:NEW.IDDESCACRPROFIL,'' );

		    V_ITPESQ := :NEW.CDFILIAL||:NEW.CDGRUPROMOC||:NEW.CDPRODPROMOCAO||:NEW.CDPRODUTO||:NEW.NRSEQGRPROMOFIL;
        V_IDTIPOOPER := '1';
      ELSE
         IF DELETING THEN
        V_DESC   := 'Filial '                  || '' || NVL(:OLD.CDFILIAL,''        )||   
			   	  ' ' || 'Cod Grupo Prom '     || '' || NVL(:OLD.CDGRUPROMOC,''     )|| 
				  ' ' || 'Produto Promocional '|| '' || NVL(:OLD.CDPRODPROMOCAO,''  )|| 
	              ' ' || 'Produto '            || '' || NVL(:OLD.CDPRODUTO,''       )||
                  ' ' || 'Nr Seq '             || '' || NVL(:OLD.NRSEQGRPROMOFIL,'' )||				  
	              ' ' || 'Percentual/Valor '   || '' || NVL(:OLD.IDPERVALDESFIL,''  )||
                  ' ' || 'Valor '              || '' || NVL(:OLD.VRDESPRPROMOFIL,'' )||
	              ' ' || 'Aplica '             || '' || NVL(:OLD.IDAPLICADESCPRFI,'')||
	              ' ' || 'Pré-Selecionado '    || '' || NVL(:OLD.IDPRODPRESELFIL,'' )||
	              ' ' || 'Ordem Exb '          || '' || NVL(:OLD.NRORDPROMOPRFIL,'' )||
	              ' ' || 'Produto Obrigat '    || '' || NVL(:OLD.IDOBRPRODSELFIL,'' )||
	              ' ' || 'Desconto/Acréscimo ' || '' || NVL(:OLD.IDDESCACRPROFIL,'' );
        		V_ITPESQ := :OLD.CDFILIAL||:OLD.CDGRUPROMOC||:OLD.CDPRODPROMOCAO||:OLD.CDPRODUTO||:OLD.NRSEQGRPROMOFIL;
			V_IDTIPOOPER := '3';
         END IF;
      END IF;
   END IF;
   V_DESC := SUBSTR(V_DESC, 1, 500);
   INSERT INTO LOGOPERAVND
      (NMTABELAVND,
       DTOPERACAOVND,
       NMRESPOPERVND,
       IDTIPOOPERVND,
       DSOPERACAOVND,
       CDPESQITEMVND,
       DSRDMUSUOPERVND,
       DSENDUSUOPERVND,
       DSNMUSUOPERVND,
       DSMETUSUOPERVND,
       CDORESPOPERVND,
       CDFILLOGOPERVND)
   VALUES
      ('DESGRUPROMPRFIL',
       SYSDATE,
       NVL(V_NMOPERADOR,' '),
       V_IDTIPOOPER,
       NVL(V_DESC,' '),
       V_ITPESQ,
       V_DSSERVERRDM,
       V_DSREMOTEADDR,
       V_DSREMOTEHOST,
       V_DSSERVMETHOD,
       V_DSREMOTEOPER,
       NVL(:NEW.CDFILIAL,:OLD.CDFILIAL));
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('LOG_VND_DESGRUPROMPRFIL','6.35.017'); END;
/
